package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsGuestModel = (*customFsGuestModel)(nil)

type (
	// FsGuestModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsGuestModel.
	FsGuestModel interface {
		fsGuestModel
	}

	customFsGuestModel struct {
		*defaultFsGuestModel
	}
)

// NewFsGuestModel returns a model for the database table.
func NewFsGuestModel(conn sqlx.SqlConn) FsGuestModel {
	return &customFsGuestModel{
		defaultFsGuestModel: newFsGuestModel(conn),
	}
}
