package gmodel

import (
	"gorm.io/gorm"
)

// fs_deliver_every 发货详细表（已废弃）
type FsDeliverEvery struct {
	Id                    uint64  `gorm:"primary_key;default:0;" json:"id"`                  //
	DeliverId             *int64  `gorm:"index;default:0;" json:"deliver_id"`                // 发货ID
	OrderDetailTemplateSn *string `gorm:"index;default:'';" json:"order_detail_template_sn"` // 订单详情模板sn
	Num                   *int64  `gorm:"default:0;" json:"num"`                             //
}
type FsDeliverEveryModel struct{ db *gorm.DB }

func NewFsDeliverEveryModel(db *gorm.DB) *FsDeliverEveryModel { return &FsDeliverEveryModel{db} }
