package gmodel

import (
	"gorm.io/gorm"
)

// fs_qrcode_log 二维码扫描日志
type FsQrcodeLog struct {
	Id        uint64  `gorm:"primary_key;default:0;" json:"id"` // ID
	Title     *string `gorm:"default:'';" json:"title"`         // 二维码名称
	QrcodeId  *uint64 `gorm:"default:0;" json:"qrcode_id"`      // 二维码ID
	TagId     *uint64 `gorm:"default:0;" json:"tag_id"`         // 分组ID
	CreateAt  *uint64 `gorm:"default:0;" json:"create_at"`      // 创建时间
	Platform  *string `gorm:"default:'';" json:"platform"`      //
	UserAgent *string `gorm:"default:'';" json:"user_agent"`    //
}
type FsQrcodeLogModel struct{ db *gorm.DB }

func NewFsQrcodeLogModel(db *gorm.DB) *FsQrcodeLogModel { return &FsQrcodeLogModel{db} }
