package model

import (
	"gorm.io/gorm"
)

// fs_product_scene 产品场景表
type FsProductScene struct {
	Id       uint64  `gorm:"primary_key;default:0;" json:"id"` // ID
	Name     *string `gorm:"default:'';" json:"name"`          // 场景名
	Info     *string `gorm:"default:'';" json:"info"`          // 场景详情
	ModelIds *string `gorm:"default:'';" json:"model_ids"`     // 该场景涉及的模型id
	Status   *int64  `gorm:"default:0;" json:"status"`         // 状态1正常
	Ctime    *uint64 `gorm:"default:0;" json:"ctime"`          // 添加时间
}
type FsProductSceneModel struct{ db *gorm.DB }

func NewFsProductSceneModel(db *gorm.DB) *FsProductSceneModel { return &FsProductSceneModel{db} }
