package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_template 产品模板表（已废弃）
type FsProductTemplate struct {
	Id         uint64  `gorm:"primary_key;default:0;" json:"id"`   //
	ProductId  *uint64 `gorm:"index;default:0;" json:"product_id"` // 产品ID
	Title      *string `gorm:"default:'';" json:"title"`           // 标题描述
	Sort       *uint64 `gorm:"default:0;" json:"sort"`             // 排序
	Ctime      *uint64 `gorm:"default:0;" json:"ctime"`            // 添加时间
	ModelInfo  *string `gorm:"default:'';" json:"model_info"`      // 模型详情
	MaterialId *uint64 `gorm:"default:0;" json:"material_id"`      // 材质ID
	SizeId     *uint64 `gorm:"default:0;" json:"size_id"`          // 尺寸ID
	Status     *uint64 `gorm:"default:0;" json:"status"`           // 状态位 显示 删除
	LogoWidth  *int64  `gorm:"default:0;" json:"logo_width"`       // logo图最大宽度
	LogoHeight *int64  `gorm:"default:0;" json:"logo_height"`      // logo图最大高度
}
type FsProductTemplateModel struct{ db *gorm.DB }

func NewFsProductTemplateModel(db *gorm.DB) *FsProductTemplateModel {
	return &FsProductTemplateModel{db}
}
