package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_template_tags  模板标签表
type FsProductTemplateTags struct {
	Id       uint64  `gorm:"primary_key;default:0;" json:"id"` // ID
	Title    *string `gorm:"default:'';" json:"title"`         // 标题
	Status   *uint64 `gorm:"default:0;" json:"status"`         // 状态 1：可用
	CreateAt *uint64 `gorm:"default:0;" json:"create_at"`      // 创建时间
}
type FsProductTemplateTagsModel struct{ db *gorm.DB }

func NewFsProductTemplateTagsModel(db *gorm.DB) *FsProductTemplateTagsModel {
	return &FsProductTemplateTagsModel{db}
}
