package model

import (
	"gorm.io/gorm"
)

// fs_order_affiliate 订单附属表-流程控制时间等
type FsOrderAffiliate struct {
	Id             uint64  `gorm:"primary_key;default:0;" json:"id"`      // id
	OrderId        *uint64 `gorm:"unique_key;default:0;" json:"order_id"` // 订单id
	SureTime       *uint64 `gorm:"default:0;" json:"sure_time"`           // 确认时间
	ProductTime    *uint64 `gorm:"default:0;" json:"product_time"`        // 生产时间
	ProductEndtime *uint64 `gorm:"default:0;" json:"product_endtime"`     // 生成完成时间
	DeliverTime    *uint64 `gorm:"default:0;" json:"deliver_time"`        // 发货时间
	UpsDeliverTime *uint64 `gorm:"default:0;" json:"ups_deliver_time"`    // ups发货时间
	UpsTime        *uint64 `gorm:"default:0;" json:"ups_time"`            // UPS提货时间
	ArrivalTime    *uint64 `gorm:"default:0;" json:"arrival_time"`        // 到达云仓的时间
	RecevieTime    *uint64 `gorm:"default:0;" json:"recevie_time"`        // 云仓收货时间
}
type FsOrderAffiliateModel struct{ db *gorm.DB }

func NewFsOrderAffiliateModel(db *gorm.DB) *FsOrderAffiliateModel { return &FsOrderAffiliateModel{db} }
